Summary: The SNIA CIMOM (Common Information Model Object Manager)
Name: openCIMOM
Version: 0.8
Release: 1
Epoch: 2
Copyright: The SNIA Public License
Group: Utilities/System
# cimom source comes from http://www.opengroup.org/snia-cimom
Source0: cimom-2003-05-28.zip
Source1: instrum_pg.zip
Source2: readme.zip
Source3: openCIMOM-0.7.tar
Patch0: build-aix.patch
Patch1: cimom-0.8.2-client.patch.gz
Patch2: cimom-0.8.4-methodoutparm.patch.gz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-root

%description
This openCIMOM package is built from the cimom-2000-05-28 snapshot from
http://www.opengroup.org/snia-cimom.  This package does not contain the
HTTPClient package.

%prep
%setup -c -T
unzip %{SOURCE0}
unzip %{SOURCE1}
unzip %{SOURCE2}
cp %{SOURCE3} %{_builddir}/%{name}-%{version}
%patch0 -p0 -b .aix
%patch1 -p1 -b .aix
%patch2 -p0 -b .aix

echo %{_builddir}/%{name}-%{version}

%build
export PATH=/usr/java14/bin:/usr/java14/jre/bin:$PATH
export CLASSPATH=%{_builddir}/%{name}-%{version}/cimom:/usr/java14/jre/lib/rt.jar:/usr/java14/xml4j/xerces.jar:/usr/jdk_base/swing/swing.jar:/usr/java130/xml4j/xerces.jar:/usr/java130/jre/lib/rt.jar
echo $CLASSPATH

cd cimom

#echo Building HTTPClient
#javac HTTPClient/*.java

echo Building WBEM and CIMOM Config
javac org/snia/wbemcmd/config/ConfigFile.java
javac org/snia/wbemcmd/config/CIMConfigCommand.java

echo Building CIMOM
javac org/snia/wbemcmd/cimom/CIMServer.java
javac org/snia/wbemcmd/cimom/CIMFeatures.java
javac org/snia/wbemcmd/cimom/CIMOMHandleXML.java

echo Building CIMBrowser
javac org/snia/wbemcmd/browser/DialogBrowser.java
javac org/snia/wbemcmd/browser/CBROWTreeCellRenderer.java
javac org/snia/wbemcmd/browser/CBROWMOFStatus.java
javac org/snia/wbemcmd/browser/CBROWNamespaces.java

echo Building Query Browser
javac org/snia/wbemcmd/browser/query/QueryFrame.java
javac org/snia/wbemcmd/browser/query/QueryResultFrame.java

echo Building MOF compiler
javac org/snia/wbemcmd/mof/MOFComp.java
javac org/snia/wbemcmd/mof/MOFLexer.java

echo Building XML compiler
javac org/snia/wbemcmd/xml/XMLComp.java

echo Building authorization module
javac org/snia/wbemcmd/xml/XMLError.java
javac org/snia/wbemcmd/xml/BasicAuthorization.java
javac org/snia/wbemcmd/xml/PlainSocketProvider.java

echo Building HTTP output classes
# javac org/snia/wbemcmd/xml/HTTPOutputHTTPClient.java
javac org/snia/wbemcmd/xml/HTTPOutputSimple.java

echo Building experimental Indications support
javac org/snia/wbemcmd/indication/*.java

echo Building namespace provider
javac org/snia/wbemcmd/providers/namespace/__Namespace.java

echo Building example providers
javac org/snia/wbemtests/Provider1.java
javac org/snia/wbemtests/Provider2.java
javac org/snia/wbemtests/AssocProvider.java
javac org/snia/wbemtests/Dynamic.java
javac org/snia/wbemtests/ExampleAccesses.java
javac org/snia/wbemtests/SetClass.java

echo Done...


cd ..
echo Done..

%install
mkdir -p $RPM_BUILD_ROOT/usr/doc/instrum
cp %{_builddir}/%{name}-%{version}/instrum_pg.html                                        $RPM_BUILD_ROOT/usr/doc/instrum/.
cp %{_builddir}/%{name}-%{version}/openCIMOM.readme                                       $RPM_BUILD_ROOT/usr/doc/instrum/.
mkdir -p $RPM_BUILD_ROOT/bin
cp %{_builddir}/%{name}-%{version}/cimom/cimbrowser                                       $RPM_BUILD_ROOT/bin/cimbrowser
cp %{_builddir}/%{name}-%{version}/cimom/cimom                                            $RPM_BUILD_ROOT/bin/cimom
cp %{_builddir}/%{name}-%{version}/cimom/cimexample                                       $RPM_BUILD_ROOT/bin/cimexample
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom
cp %{_builddir}/%{name}-%{version}/cimom/readme.txt                                       $RPM_BUILD_ROOT/opt/freeware/cimom/readme.txt

cp %{_builddir}/%{name}-%{version}/cimom/readme.acs                                      $RPM_BUILD_ROOT/opt/freeware/cimom/readme.acs
cp %{_builddir}/%{name}-%{version}/cimom/cimom.key                                      $RPM_BUILD_ROOT/opt/freeware/cimom/cimom.key
cp %{_builddir}/%{name}-%{version}/cimom/cimom.trust                                    $RPM_BUILD_ROOT/opt/freeware/cimom/cimom.trust
cp %{_builddir}/%{name}-%{version}/cimom/mkcert.sh                                      $RPM_BUILD_ROOT/opt/freeware/cimom/mkcert.sh
cp %{_builddir}/%{name}-%{version}/cimom/setpath                                      $RPM_BUILD_ROOT/opt/freeware/cimom/setpath
cp %{_builddir}/%{name}-%{version}/cimom/CHANGES                                      $RPM_BUILD_ROOT/opt/freeware/cimom/CHANGES
cp %{_builddir}/%{name}-%{version}/cimom/cim.properties                                   $RPM_BUILD_ROOT/opt/freeware/cimom/cim.properties
cp %{_builddir}/%{name}-%{version}/cimom/cimbrowser.bat					$RPM_BUILD_ROOT/opt/freeware/cimom/.
cp %{_builddir}/%{name}-%{version}/cimom/cimcomp.sh					$RPM_BUILD_ROOT/opt/freeware/cimom/.
cp %{_builddir}/%{name}-%{version}/cimom/cimom.bat					$RPM_BUILD_ROOT/opt/freeware/cimom/.
cp %{_builddir}/%{name}-%{version}/cimom/cimom.sh					$RPM_BUILD_ROOT/opt/freeware/cimom/.
cp %{_builddir}/%{name}-%{version}/cimom/cimomrmi.bat					$RPM_BUILD_ROOT/opt/freeware/cimom/.

# mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/HTTPClient
# cp %{_builddir}/%{name}-%{version}/cimom/HTTPClient/0COPYRIGHT                            $RPM_BUILD_ROOT/opt/freeware/cimom/HTTPClient/.
# cp %{_builddir}/%{name}-%{version}/cimom/HTTPClient/0LICENSE                              $RPM_BUILD_ROOT/opt/freeware/cimom/HTTPClient/.
# cp %{_builddir}/%{name}-%{version}/cimom/HTTPClient/0README                               $RPM_BUILD_ROOT/opt/freeware/cimom/HTTPClient/.
# cp %{_builddir}/%{name}-%{version}/cimom/HTTPClient/*.class                               $RPM_BUILD_ROOT/opt/freeware/cimom/HTTPClient/.
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/icons
cp %{_builddir}/%{name}-%{version}/cimom/icons/*.jpg                                      $RPM_BUILD_ROOT/opt/freeware/cimom/icons/.
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbem/cim
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbem/cim/*.class                        $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbem/cim/.
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbem/client
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbem/client/*.class                     $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbem/client/.
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbem/provider
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbem/provider/*.class                   $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbem/provider/.
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbem/provider20
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbem/provider20/*.class                 $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbem/provider20/.
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcfg
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbemcfg/*.class                         $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcfg/.
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/config
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbemcmd/config/*.class                  $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/config/.
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/query
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbemcmd/query/*.class                   $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/query/.
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/browser
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbemcmd/browser/*.class                 $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/browser/.
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/browser/query
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbemcmd/browser/query/*.class           $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/browser/query/.
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/cimom
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbemcmd/cimom/*.class                   $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/cimom/.
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/mof
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbemcmd/mof/*.class                     $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/mof/.
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/providers/namespace
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbemcmd/providers/namespace/*.class     $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/providers/namespace/.
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/utils
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbemcmd/utils/*.class                   $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/utils/.
mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/xml
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbemcmd/xml/*.class                     $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/xml/.

mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/indication
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbemcmd/indication/*.class               $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemcmd/indication/.

mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemtests
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbemtests/*.class                       $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemtests/.
cp %{_builddir}/%{name}-%{version}/cimom/org/snia/wbemtests/*.mof                         $RPM_BUILD_ROOT/opt/freeware/cimom/org/snia/wbemtests/.

mkdir -p $RPM_BUILD_ROOT/opt/freeware/cimom-0.7
(cd $RPM_BUILD_ROOT/opt/freeware/cimom-0.7 && tar xvf %{_builddir}/%{name}-%{version}/openCIMOM-0.7.tar)

%clean
# rm -rf $RPM_BUILD_ROOT
# rm -rf %{_builddir}/%{name}-%{version}/cimom
# rm -rf %{_builddir}/%{name}-%{version}/instrum_pg.html
# rm -rf %{_builddir}/%{name}-%{version}/openCIMOM.readme

%pre
# Check for xerces.jar being in /usr/java131/xml4j or /usr/java130/xml4j directory
echo " "
echo "***************************************************************"
echo "WARNING:cimbrowser requires xerces.jar version 1.0.4 "
echo "Please refer to /opt/freeware/cimom/readme.txt for download URL"
echo "Also please add the xerces.jar installation path to CLASSPATH"
echo "***************************************************************"
echo " " 
echo "Continuing installation."

%post
echo "Installation complete: please see /usr/doc/instrum"
echo "    directory for information about this package."

%files
%defattr(755,root,root)
/bin/cimbrowser
/bin/cimom
/bin/cimexample
/usr/doc/instrum
/opt/freeware/cimom
/opt/freeware/cimom-0.7

%changelog

